package com.ssj.bean.weixin.libmy.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;


@Entity
@Table(name ="tb_lib_drift")
public class TbLibDrift extends BaseEntity {

	/**
	 * id varchar(36) not null,
	old_user_id varchar(36) not null comment '原借书人',
	drift_user_id varchar(36) not null comment '需漂流的人',
	stat varchar(10) not null comment '确认状态 1--待确认 2、同意 3、不同意',
	create_time datetime not null comment '创建时间 半小时有有效',
	resp_time datetime comment '响应时间',
	book_detail_id varchar(36) not null comment '书本明细ID',
	 */
	private static final long serialVersionUID = 1L;
	
	private String oldUserId;
	private String driftUserId;
	private String stat;
	private Date createTime;
	private Date respTime;
	private String bookDetailId;
	public String getOldUserId() {
		return oldUserId;
	}
	public void setOldUserId(String oldUserId) {
		this.oldUserId = oldUserId;
	}
	public String getDriftUserId() {
		return driftUserId;
	}
	public void setDriftUserId(String driftUserId) {
		this.driftUserId = driftUserId;
	}
	public String getStat() {
		return stat;
	}
	public void setStat(String stat) {
		this.stat = stat;
	}
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public Date getRespTime() {
		return respTime;
	}
	public void setRespTime(Date respTime) {
		this.respTime = respTime;
	}
	public String getBookDetailId() {
		return bookDetailId;
	}
	public void setBookDetailId(String bookDetailId) {
		this.bookDetailId = bookDetailId;
	}
	
	

}
